public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Benda XU" <heroxbd@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/h5py/files/, dev-python/h5py/
Date: Sat, 25 Jan 2020 03:53:46 +0000 (UTC)	[thread overview]
Message-ID: <1579924295.d9681e53572f2acdade2520930f4d64c42900e01.heroxbd@gentoo> (raw)

commit:     d9681e53572f2acdade2520930f4d64c42900e01
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Wed Jan 15 08:41:42 2020 +0000
Commit:     Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Sat Jan 25 03:51:35 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d9681e53

dev-python/h5py: Version bump 2.10.0

Closes: https://github.com/gentoo/gentoo/pull/14343
Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
Signed-off-by: Benda Xu <heroxbd <AT> gentoo.org>

 dev-python/h5py/Manifest                      |  1 +
 dev-python/h5py/files/h5py-2.10.0-tests.patch | 32 ++++++++++++++
 dev-python/h5py/h5py-2.10.0.ebuild            | 63 +++++++++++++++++++++++++++
 3 files changed, 96 insertions(+)

diff --git a/dev-python/h5py/Manifest b/dev-python/h5py/Manifest
index c360c86ed4f..8853c4df188 100644
--- a/dev-python/h5py/Manifest
+++ b/dev-python/h5py/Manifest
@@ -1,3 +1,4 @@
+DIST h5py-2.10.0.tar.gz 301057 BLAKE2B 2e9da02224493b79b2df75ff9aa5cb16ab668d07bb95066356749be09091c54032efb3db8b53bdf0fbbbac2bcde532f9f051627327dcf3f35fb578b701ecc165 SHA512 c49b04f7dcddf03f36d4f063d79ecbe544e0b1daee432d4a76cfa83dac3a1f2cb144f40a74fb85ea17cb5b778f57f709969ea5d1a2afc5bdd5aecbc9d732898d
 DIST h5py-2.7.0.tar.gz 256471 BLAKE2B c232eb86d00b9d1bb76903ea04bfd384bae7c9eb7b301de6aa450a46918f69132ab8d8d5a3f9b54095feee436a8aa9e9045c27ca1a120d665d6031c14218f0f5 SHA512 7c1e5d8b47c176521f5f62cfc4f782c09a0e003c5cbc07a673ccc3dfbe97df930b33801ef7311360892e3fad1d7d72561a8578aed9cb630d44e1a73543bb5da4
 DIST h5py-2.7.1.tar.gz 264225 BLAKE2B ffb0b52127f6cb9634b5ac3266a36bc0003144d302bdc300fff5f6f33e52b5a12e954cc2ef9fdfe9dfa0eddc810b30ee3f556cab2a31338500db666b87e64ddc SHA512 b702e3875c2767d2fabe66601820c517671fb5fc3321334aba081950b625435a1262554f39187cd1b41c6069e2b3826db6f0b610bfed2abe5db8a4dd8a29ecfd
 DIST h5py-2.9.0.tar.gz 287853 BLAKE2B f1e5c985ec1431dca2b14490711ec7f125620e67ee6cecb56306d19cc8fd1d1c33d313f6477e98c4dbb780cc50c3a4ca073cfe69e079187f8f52a301aab60467 SHA512 73b1f59e3e2b3eceebf7b97e49bd8f5199afafd7ef29917af05ff8415c2f2129a5c59db9658944370c9bcf8fc04ab26948ee27fc6fd948a22d19cace1ce8c853

diff --git a/dev-python/h5py/files/h5py-2.10.0-tests.patch b/dev-python/h5py/files/h5py-2.10.0-tests.patch
new file mode 100644
index 00000000000..9f810ed46f0
--- /dev/null
+++ b/dev-python/h5py/files/h5py-2.10.0-tests.patch
@@ -0,0 +1,32 @@
+These tests fail as confirmed by upstream.
+
+Reference: https://github.com/h5py/h5py/issues/1291
+Reference: https://github.com/gentoo/gentoo/pull/14343
+
+diff --git a/h5py/tests/test_file2.py b/h5py/tests/test_file2.py
+index 0fbf2d5..a7a28bb 100644
+--- a/h5py/tests/test_file2.py
++++ b/h5py/tests/test_file2.py
+@@ -207,22 +207,6 @@ class TestFileObj(TestCase):
+         f.create_dataset('test', data=list(range(12)))
+         self.assertRaises(Exception, list, f['test'])
+ 
+-    def test_exception_write(self):
+-
+-        class BrokenBytesIO(io.BytesIO):
+-            def write(self, b):
+-                raise Exception('I am broken')
+-
+-        f = h5py.File(BrokenBytesIO(), 'w')
+-        self.assertRaises(Exception, f.create_dataset, 'test',
+-                          data=list(range(12)))
+-        self.assertRaises(Exception, f.close)
+-
+-    def test_exception_close(self):
+-        fileobj = io.BytesIO()
+-        f = h5py.File(fileobj, 'w')
+-        fileobj.close()
+-        self.assertRaises(Exception, f.close)
+ 
+     def test_method_vanish(self):
+         fileobj = io.BytesIO()

diff --git a/dev-python/h5py/h5py-2.10.0.ebuild b/dev-python/h5py/h5py-2.10.0.ebuild
new file mode 100644
index 00000000000..b9c906c3292
--- /dev/null
+++ b/dev-python/h5py/h5py-2.10.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1 flag-o-matic
+
+DESCRIPTION="Simple Python interface to HDF5 files"
+HOMEPAGE="https://www.h5py.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+IUSE="examples mpi"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="sci-libs/hdf5:=[mpi=,hl(+)]
+	dev-python/numpy[${PYTHON_USEDEP}]
+	dev-python/six[${PYTHON_USEDEP}]"
+
+BDEPEND="dev-python/pkgconfig
+	mpi? ( virtual/mpi )"
+
+DEPEND="dev-python/cython[${PYTHON_USEDEP}]
+	mpi? ( dev-python/mpi4py[${PYTHON_USEDEP}] )
+	doc? ( dev-python/alabaster[${PYTHON_USEDEP}] )
+	test? ( dev-python/QtPy[testlib,${PYTHON_USEDEP}]
+		dev-python/cached-property[${PYTHON_USEDEP}] )"
+
+PATCHES="${FILESDIR}/${P}-tests.patch"
+
+DOCS=( README.rst AUTHORS ANN.rst )
+
+distutils_enable_tests setup.py
+distutils_enable_sphinx docs --no-autodoc
+
+pkg_setup() {
+	use mpi && export CC=mpicc
+}
+
+python_prepare_all() {
+	append-cflags -fno-strict-aliasing
+	distutils-r1_python_prepare_all
+}
+
+python_configure() {
+	esetup.py configure $(usex mpi --mpi '')
+}
+
+python_test() {
+	esetup.py test || die "Tests fail with ${EPYTHON}"
+	# tests generate .pytest_cache which should not be installed
+	rm -r "${BUILD_DIR}/lib/.pytest_cache" || die
+}
+
+python_install_all() {
+	use examples && dodoc -r examples
+
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2020-01-25  3:53 UTC|newest]

Thread overview: 5+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-01-25  3:53 Benda XU [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-08-12 16:16 [gentoo-commits] repo/gentoo:master commit in: dev-python/h5py/files/, dev-python/h5py/ Michał Górny
2023-02-24  4:50 Michał Górny
2021-04-12 10:13 Michał Górny
2015-11-17  9:26 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1579924295.d9681e53572f2acdade2520930f4d64c42900e01.heroxbd@gentoo \
    --to=heroxbd@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox